Broadcast Market play counts

Returns play counts per broadcast market (country and city) for an artist, album, or track. Aggregate counts come from Postgres and are returned as decimal strings.

Path Parameters
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric ID for the entity in :type (artist / album / track ID).

  • type
    Type: string enum
    required

    Entity kind that :id refers to (one of artist | album | track).

    values
    • artist
    • track
    • album
Query Parameters
  • since
    Type: string Format: date
    required

    Start date for aggregating broadcast-market play counts in ISO format (e.g. 2025-11-01); defaults to 180 days ago.

Responses
  • application/json
Request Example for get/api/radio/{type}/{id}/broadcast-markets
curl 'https://api.chartmetric.com/api/radio/artist/0/broadcast-markets?since=2026-01-21' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "countryRatios": [
      {
        "market": "Malaysia",
        "market_count_data": "1155",
        "code2": "MY",
        "total_market_count_data": "63226",
        "count_of_stations": "5",
        "population": 22244000,
        "lat": 4.210484,
        "lng": 101.975766,
        "count": 1.82678012210167
      }
    ],
    "cityRatios": [
      {
        "market": "Dayton",
        "display_name": "Dayton (United States)",
        "code2": "US",
        "market_count_data": "300",
        "country": "United States",
        "total_market_count_data": "9778",
        "count_of_stations": "1",
        "city_id": 6869,
        "population": 5449,
        "lat": 39.1128,
        "lng": -84.464,
        "count": 3.06811208836163
      }
    ]
  }
}